org.eclipse.jgit.revwalk

## Interface DepthWalk

All Known Implementing Classes:
  DepthWalk.ObjectWalk, DepthWalk.RevWalk

    public interface DepthWalk

Interface for revision walkers that perform depth filtering.

### Nested Class Summary

Nested Classes
`static class` `DepthWalk.Commit` RevCommit with a depth (in commits) from a root.
`static class` `DepthWalk.ObjectWalk` Subclass of ObjectWalk that performs depth filtering.
`static class` `DepthWalk.RevWalk` Subclass of RevWalk that performs depth filtering.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getDepth()`
`RevFlag` `getReinterestingFlag()`
`RevFlag` `getUnshallowFlag()`

### Method Detail

#### getDepth

    int getDepth()

Returns:
  Depth to filter to.

#### getUnshallowFlag

    RevFlag getUnshallowFlag()

Returns:
  flag marking commits that should become unshallow.

#### getReinterestingFlag

    RevFlag getReinterestingFlag()

Returns:
  flag marking commits that are interesting again.